;
; interface code for a device driver written with Watcom C/C++
;
        EXTRN   __CMain:near
        EXTRN   timer_handler_:near
        PUBLIC  STRATEGY_
        PUBLIC  TIM_HNDLR_
        PUBLIC  _cstart_

        .286p                             ; 16-Bit protected mode
        .SEQ                              ; Data-Segment first!!!

_DATA   segment word public 'DATA'
_DATA   ends

_BSS    segment word public 'BSS'
_BSS    ends

CONST   segment word public 'CONST'
CONST   ends

DGROUP  group _DATA,_BSS,CONST

_TEXT   segment word public 'CODE'
        assume cs:_TEXT,ds:DGROUP,es:NOTHING,ss:NOTHING


;
STRATEGY_  proc    far
_cstart_:                           ;no startup code
;
        push    bx
        push    dx
        push    es                  ;send Request Packet address
        mov     ax,bx               ;Move adress in dx:ax for
        mov     dx,es               ;Watcom register based calling convention
        call    __CMain
        pop     es
        pop     dx
        pop     bx
        mov     word ptr es:[bx+3],ax   ;set return code
        retf
;
STRATEGY_  endp
;


;
TIM_HNDLR_      proc    far
;
        pushf
        call    timer_handler_      ; Call timer-handler
        popf
        retf
;
TIM_HNDLR_      endp
;


_TEXT   ends
        end
