//Ŀ
// misc. Values                                                             
//

#define DUMMY 0x7B



//Ŀ
// port address of RTC-Circuit                                              
//

#define RTCAdr 0x70                 // RTC
#define RTCDat 0x71



//Ŀ
// Frequency of RTC-Interrupts                                              
//

#define FREQ 32



//Ŀ
// Prototypes for BCD<->BIN-Conversion-Routines etc.                        
//

extern   void near STRATEGY(void);
extern   void near TIM_HNDLR(void);

int          BCD2BIN(int bcd);
int          BIN2BCD(int bin);
unsigned int Init(PREQPACKET);
void         DevBeep(unsigned int freq, unsigned int dur);
int          DevSetTimer(void near *fkt);

#pragma aux BCD2BIN = \
            "xor ah,ah" \
            "rol ax,4" \
            "ror al,4" \
            "aad" \
            parm [ax] \
            modify [ AX ];

#pragma aux BIN2BCD = \
            "xor ah,ah" \
            "aam" \
            "rol al,4" \
            "ror ax,4" \
            parm [ax] \
            modify [ AX ];

